//
//  ContentView.swift
//  NavigationStackAPI
//
//  Created by Mohammad Azam on 3/18/23.
//

import SwiftUI

struct DetailView: View {
    
    let value: Int
    
    var body: some View {
       Text("\(value)")
    }
}

struct CustomerView: View {
    
    let name: String
    
    var body: some View {
       Text(name)
    }
}

struct ContentView: View {
    var body: some View {
        NavigationStack {
            
            VStack {
                NavigationLink("DetailView", value: 99)
                NavigationLink("CustomerView", value: "John Doe")
            }
            .navigationDestination(for: Int.self) { value in
                DetailView(value: value)
            }
            .navigationDestination(for: String.self) { value in
                CustomerView(name: value)
            }

        }
    }
}

struct ContentView_Previews: PreviewProvider {
    static var previews: some View {
        ContentView()
    }
}
